<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Odczyt danych z bazy</title>
</head>
<body>
<?php
if (!$db_lnk = sqlite_open("/var/wwwdata/testphp.db", 0666, $msg)){
  echo 'Wystąpił błąd podczas próby połączenia z bazą...<br />';
  echo "Komunikat błędu: $msg";
  echo "</body></html>";
  exit;
}

$query = "SELECT * FROM osoba";

if(!$result = sqlite_unbuffered_query($db_lnk, $query)){
  sqlite_close();
  echo 'Wystąpił błąd: nieprawidłowe zapytanie...<br />';
  echo "</body></html>";
  exit;
}
?>

<table>
<?php
$row = sqlite_fetch_array($result, MYSQL_ASSOC);

echo "<tr>";
foreach($row as $key => $val){
  echo "<td>$key</td>";
}
echo "</tr>";

echo "<tr>";
foreach($row as $val){
  echo "<td>$val</td>";
}
echo "</tr>";

while($row = sqlite_fetch_array($result, MYSQL_ASSOC)){
  echo("<tr>");
  foreach($row as $val){
    echo "<td>$val</td>";
  }
  echo("</tr>");
}

sqlite_close($db_lnk);
?>
</table>
</body>
</html>
